Status: Resolved Priority: Could have
Author: Julian Wachholz Category:
Created: 2011-10-16 Assigned To: Karsten Dambekalns
Updated: 2011-10-19 Due date:
Affected Flow version:
Subject: Generating ActionControllers using a comma separated list creates wrong Models and Repositories
Description

Using the following command:
./flow3 kickstart:actioncontroller --generate-related --generate-actions Acme.Demo Animal,Zoo

One would expect the Kickstarter to create 2 Models and 2 corresponding Repositories:

Model/Animal.php
Model/Zoo.php
Repository/AnimalRepository.php
Repository/ZooRepository.php

Instead, the following Model and Repository are created:

Model/Animal,Zoo.php
Repository/Animal,ZooRepository.php

Associated revisions
Revision 3a630b87 - 2011-10-19 10:59 - Julian Wachholz

[BUGFIX] Generating ActionControllers using a comma separated list creates wrong Models and Repositories

Change-Id: I7b9e25ea0154ccc670bc04f99a657299ccf5f40c
Fixes: #30980

History
#1 - 2011-10-16 18:03 - Julian Wachholz

It also requires the --generate-actions flag to be set as well.

#2 - 2011-10-16 20:12 - Mr. Hudson

Patch set 1 of change I7b9e25ea0154ccc670bc04f99a657299ccf5f40c has been pushed to the review server.
It is available at http://review.typo3.org/5882

#3 - 2011-10-19 10:27 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns
For it works fine, using current master: karsten@kmac:flow3  (master)$ ./flow3 kickstart:actioncontroller --generate-related Acme.Demo
Animal,Zoo
Created .../Acme.Demo/Classes/Controller/AnimalController.php
Created .../Acme.Demo/Resources/Private/Templates/Animal/Index.html
Created .../Acme.Demo/Classes/Controller/ZooController.php
Created .../Acme.Demo/Resources/Private/Templates/Zoo/Index.html

#4 - 2011-10-19 10:59 - Karsten Dambekalns
- Status changed from Needs Feedback to Accepted

Karsten Dambekalns wrote:

For it works fine, using current master:[...]

Dang, missed the needed --generate-actions, then it's indeed broken.

#5 - 2011-10-19 11:05 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- Target version set to 1.0.0
- % Done changed from 0 to 100
